function d = EuclidAlgShow(a,b)
%  d = EuclidAlgShow(a,b)
%This program performs the Euclidean algorithm, and shows all intermediate
%steps.  It inputs two positive
%integers a, and b, and outputs their greatest common divisor 
%d = gcd(a,b) using the Euclidean algorithm. 
aa = max(a,b); bb = min(a,b);
q = floor(aa/bb); r =  aa - q*bb;
fprintf('(dividend  %d) =  (divisor  %d)*(quotient  %d) + (remainder  %d)\r', aa, bb, q, r)
while r > 0
    aa = bb; bb = r; q = floor(aa/bb); r = aa - q*bb;
    fprintf('(dividend  %d) =  (divisor  %d)*(quotient  %d) + (remainder  %d)\r', aa, bb, q, r)
end
d = bb; %The last nonzero remainder.
