function y = baseb2intSym(vec,b)
% y = baseb2intSym(vec)
%inputs = vec = a vector representing the base b expansion of a positive
%integer, output = y = the corresponding positive integer.
%Output will be a symbolic integer
N = length(vec);
y=sym(0);
for k=N:-1:1
    y = y + sym(b)^(N-k)*vec(k);
end
